## com.bbn.openmap.dataAccess.cgm
Class TextColor

    java.lang.Object
      |
      +--com.bbn.openmap.dataAccess.cgm.Command
            |
            +--com.bbn.openmap.dataAccess.cgm.ColorCommand
                  |
                  +--com.bbn.openmap.dataAccess.cgm.TextColor

All Implemented Interfaces:
  java.lang.Cloneable

public class TextColor
extends ColorCommand

Constructor Summary
`TextColor(int ec, int eid, int l, java.io.DataInputStream in)`

Method Summary
`void` `paint(CGMDisplay d)`
`java.lang.String` `toString()`

Methods inherited from class com.bbn.openmap.dataAccess.cgm.Command
`clone, makeInt, makeString, makeString, read, read16, scale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextColor

    public TextColor(int ec,
                     int eid,
                     int l,
                     java.io.DataInputStream in)
              throws java.io.IOException

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ColorCommand`

### paint

    public void paint(CGMDisplay d)

  Overrides:
    `paint` in class `ColorCommand`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details